Open MCP Portaldocs
ReferenceAdmin

Change a platform gateway (platform admins); a team gateway can only be switched off here

PATCH/v1/admin/gateways/{gatewayId}

403 team_gateway when changing anything but enabled on a team gateway.

Path Parameters

gatewayId*string
Formatuuid

Header Parameters

If-Match*string

The resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/admin/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "support-tools",    "name": "Support tools",    "description": "string",    "ownerKind": "team",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "enabled": true,    "url": "https://mcp.example.com/mcp/support-tools",    "capabilityCount": 0,    "unavailableCount": 0,    "grantCount": 0,    "capturePayloads": true,    "rateLimitPerMinute": 0,    "effectiveRateLimitPerMinute": 0,    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}